Summary: A tool to check whether Get/Set Host System Status command is available on iRMC
Name: FJSVossn-checkhssc
Version: 1.0.0
Release: 3%{?dist}
License: GPLv2
Group: System Environment/Base
Source0: checkhssc.sh
Source1: checkhssc.1.asc
Source2: checkhssc.ja.1.asc
Source3: Makefile
Packager: FUJITSU LIMITED
Vendor: FUJITSU LIMITED
URL: https://www.fujitsu.com/
ExclusiveOS: Linux
ExclusiveArch: x86_64
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: asciidoc
Requires: ipmitool

%description
This is a tool to check whether Get/Set Host System Status command is available on PRIMEQUEST/PRIMERGY iRMC.

%prep
cp -p %SOURCE1 .
cp -p %SOURCE2 .
cp -p %SOURCE3 .

%build
make doc

%install
install -m 755 -D %{_sourcedir}/checkhssc.sh %{buildroot}/opt/%{name}/bin/checkhssc
install -m 644 -D %{_builddir}/checkhssc.1.gz %{buildroot}/opt/%{name}/man/man1/checkhssc.1.gz
install -m 644 -D %{_builddir}/ja/checkhssc.1.gz %{buildroot}/opt/%{name}/man/ja/man1/checkhssc.1.gz

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/opt/%{name}/bin/checkhssc
/opt/%{name}/man/man1/checkhssc.1.gz
/opt/%{name}/man/ja/man1/checkhssc.1.gz

%changelog
* Tue Jul 19 2022 FUJITSU LIMITED - 1.0.0-3
- Add support of RHEL9 (BS01707)
* Fri May 23 2019 FUJITSU LIMITED - 1.0.0-2
- Fix wrong value of Build Host in the rpm package information (BS01672, BS01673)
* Wed Mar 6 2019 FUJITSU LIMITED - 1.0.0-1
- Add support of RHEL8 on PRIMEQUEST with HBA blockage function (BS01670)
- Add support of RHEL8 on PRIMERGY (BS01669)
* Fri Apr 21 2017 FUJITSU LIMITED
- FJSVossn-checkhssc was newly packaged. (BS01630)
